%define upstream_name    Text-Transliterator
%define upstream_version 1.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Compile a transliterator from Unicode tables, to remove accents from text
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     help-magpie-to-not-drop-Module::Build.patch

BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::More)
BuildRequires: perl(Unicode::Normalize)
BuildRequires: perl(Unicode::UCD)
BuildArch:  noarch

%description
This package is a simple wrapper around Perl's transliteration operator
'tr/../../..'. Starting either from two strings of characters, or from a
map of characters, it will compile a function that applies the
transliteration to any list of strings.

This does very little work, and therefore would barely merit a module on
its own; it was written mainly for serving as a base package for
Text::Transliterator::Unaccent. However, in some situations it may be
useful in its own right, since Perl has no construct similar to 'qr/.../'
for "compiling" a transliteration. As a matter of fact, the 'tr/../../'
documentation says "if you want to use variables, you must use an eval()"
... which is what the present module does, albeit in a somewhat more
controlled way.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 08 2025 umeabot <umeabot> 1.60.0-2.mga10
+ Revision: 2252016
- Mageia 10 Mass Rebuild

* Tue Apr 22 2025 tv <tv> 1.60.0-1.mga10
+ Revision: 2178101
- update to 1.06
- Patch : prevent magpie to drop Module::Build

* Mon Feb 10 2025 tv <tv> 1.50.0-1.mga10
+ Revision: 2146584
- Restore BR on Module::Build (would need patching for magpie)
- update to 1.05

* Thu Aug 31 2023 tv <tv> 1.40.0-1.mga10
+ Revision: 1982118
- Restore BR on inc::Module::Install
- update to 1.04

* Mon Mar 21 2022 umeabot <umeabot> 1.30.0-5.mga9
+ Revision: 1810542
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.30.0-4.mga8
+ Revision: 1506764
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.30.0-3.mga7
+ Revision: 1286987
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.30.0-2.mga7
+ Revision: 1167037
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.30.0-1.mga7
+ Revision: 1159574
- BR Module::Build
- update to 1.03

* Tue May 17 2016 yuri_myasoedov <yuri_myasoedov> 1.20.0-1.mga6
+ Revision: 1016418
- %%makeinstall_std is replaced with %%make_install.
- %%make is replaced with %%make_build.
- update to new version 1.02

* Sun Jan 24 2016 shlomif <shlomif> 1.10.0-1.mga6
+ Revision: 927057
- imported package perl-Text-Transliterator


* Sun Jan 24 2016 cpan2dist 1.01-1mga
- initial mageia release, generated with cpan2dist
